const degit = require("degit");
const path = require("path");
const fs = require("fs");

async function createProject(projectName) {
  const repo = "mativiaggio/menth-template";
  const emitter = degit(repo, {
    cache: false,
    force: true,
    verbose: true,
  });

  console.log(`Creating new project: ${projectName}`);

  emitter.on("info", (info) => {
    console.log(info.message);
  });

  await emitter.clone(path.join(process.cwd(), projectName));

  console.log("Project created successfully!");
  console.log("Installing dependencies...");

  process.chdir(projectName);
  require("child_process").execSync("npm install", { stdio: "inherit" });

  console.log("Dependencies installed successfully!");
  console.log(`Run "cd ${projectName} && npm run dev" to start the development server.`);
}

const projectName = process.argv[2];

if (!projectName) {
  console.error("Please specify the project directory:");
  console.error("  npx create-menth-app <project-directory>");
  process.exit(1);
}

createProject(projectName);
